import React from 'react';
import ReactDom from 'react-dom';
import {BrowserRouter, Route, Switch as RouterSwitch} from 'react-router-dom';
import {Headline} from './page/headline';
import {Gallery} from './page/gallery';
import {ContentAbout} from './page/contentinfo';

import './css/style.css';

const FooProfile = ()=><div>test profile</div>;
const App = ()=> (
    <BrowserRouter>
        <Headline>
            <RouterSwitch>
                <Route path="/" exact component={Gallery}></Route>
                <Route path="/doc" component={ContentAbout}></Route>
                <Route path="/profile" component={FooProfile}></Route>
                <Route>
                    <div>404 Not Found</div>
                </Route>
            </RouterSwitch>
        </Headline>
    </BrowserRouter>
);

ReactDom.render(
    <App/>,
    document.getElementById("root")
)